Doc Scrubber™ Help

Have you ever wondered what hidden information might be lurking inside your Word documents? Have you ever wondered how to access that information, and if it is possible to remove it?

Well now there's a solution - Doc Scrubber.

Doc Scrubber can quickly and easily discover hidden data inside Word documents and can allow the painless removal of such information, sometimes referred to as "metadata".

Key Features | Description
Analyze | Analyze Word documents to discover hidden and potentially embarassing data.
Scrub | Remove hidden and potentially embarassing data from Word documents.
Easy-to-use Interface | Doc Scrubber's interface is easy-to-use, yet powerful. Advanced users and beginners can take full advantage of its capabilities.
Free for personal and educational use | Doc Scrubber is free for personal and educational use. Businesses must purchase an appropriate license.
Doc Scrubber is a trademark of Javacool Software LLC. Copyright © 2003 Javacool Software LLC. All Rights Reserved. Patent Pending. All other trademarks are the property of their respective owners. Javacool Software LLC is not affiliated with Microsoft Corporation.


Doc Scrubber™ - Analyze

Analyze

Doc Scrubber provides powerful tools to analyze Word documents to discover hidden and potentially embarassing information that they may contain.

Doc Scrubber produces a readable report that includes simple properties of the document (such as the title and the author) and hidden revision logs, recent hyperlinks lists, unique identifiers and more.

You can Save the report to a file by pressing the "Save Log to File" button. Doc Scrubber will prompt you for a filename. Reports are saved as simple text documents.

Doc Scrubber is a trademark of Javacool Software LLC. Copyright © 2003 Javacool Software LLC. All Rights Reserved. Patent Pending. All other trademarks are the property of their respective owners. Javacool Software LLC is not affiliated with Microsoft Corporation.


Doc Scrubber™ - Scrubbing Method

Scrubbing Method

Doc Scrubber's Scrubbing Method screen allows you to choose options relating to the number of documents you want to scrub.

  • Scrub a single Word document
  • Scrub all Word documents in a specific folder
  • Scrub selected Word documents in a specific folder

    • The "Save scrubbed file over original" option is disabled by default. Checking it will prevent Doc Scrubber from creating the default <filename>-SCRUBBED.doc files and will instead scrub the original files. Once selected, this option remains enabled until you disable it. If you wish to retain backup copies of your files before scrubbing, you should not check this option. This option is only recommended for advanced users.

    You can prevent users from selecting the "Save scrubbed file over original" option by creating a REG_DWORD value named NeverOverwriteOriginal under the registry key HKEY_LOCAL_MACHINE\SOFTWARE\Doc Scrubber\Scrub Settings, and setting its value to 1.
    Doc Scrubber is a trademark of Javacool Software LLC. Copyright © 2003 Javacool Software LLC. All Rights Reserved. Patent Pending. All other trademarks are the property of their respective owners. Javacool Software LLC is not affiliated with Microsoft Corporation.


Doc Scrubber™ - Scrub Settings

Scrub Settings
Doc Scrubber's Scrub Settings screen allows you to choose what data you want Doc Scrubber to "scrub" (or clean). You can right-click on any item on the screen to receive a right-click menu with "Select All" and "Deselect All" options. NOTE TO WINDOWS 95, 98, ME USERS: Some items on the Scrub Settings screen may be disabled. Those disabled items cannot be cleaned on Windows 95, 98 or ME. Full cleaning options are available on Windows NT 4, 2000, XP. Doc Scrubber can remove certain items, such as the revision count, total editing time, last edited by information, and last printed date from the properties/summary section of Word documents. This data may also be included in the statistics area of the document.
Scrubbing Option Name | Description
Clear Subject | Remove the document's subject property.
Clear Keywords | Remove the document's keywords property.
Clear Comments | Remove the document's comments property.
Clear Last Edited By | Remove the name of the last person who edited the document.
Clear Last Saved Date | Remove the date the document was last saved.
Clear Last Printed Date | Remove the date the document was last printed.
Clear Creation Date | Remove the document's creation date.
Reset Revision Count to 1 | The revision count located in every Word document displays the number of times the document was revised. Checking this option in Doc Scrubber will reset the revision count to 1 (as if the document was revised only once).
Reset Total Editing Time to 0 | Word documents can contain a count of the total editing time (in minutes) spent on the document. Checking this option in Doc Scrubber will reset this (often incorrect) count to 0.
Remove Hidden Revision Log | Many Word documents contain a hidden revision log. From this hidden log, a person can extract information such as who worked on a file, where they saved it to, if they saved it to a floppy disk, etc. Checking this option in Doc Scrubber will remove the hidden revision log.
Remove Unique Identifier (GUID) | Many Word documents contain a unique identifier, or a "GUID". This GUID can potentially be tracked back to the original author of the document. Checking this option in Doc Scrubber will remove the unique identifier (GUID).
Remove Recent Hyperlinks List | Many Word documents contain a list of recent hyperlinks used. Checking this option in Doc Scrubber will remove the recent hyperlinks list.
Reset Author to Specified | Checking this option will allow you to reset the author property for any Word document to specified text.
Reset Company to Specified | Checking this option will allow you to reset the company property for any Word document to specified text.
Doc Scrubber is a trademark of Javacool Software LLC. Copyright © 2003 Javacool Software LLC. All Rights Reserved. Patent Pending. All other trademarks are the property of their respective owners. Javacool Software LLC is not affiliated with Microsoft Corporation.


Doc Scrubber™ - Support

For help troubleshooting any problems, or for any support requests, please post at the Official Javacool Software Forums on the Wilders Security Forums, hosted by the Wilders Security Organization.

Wilders Security Forums: http://www.wilderssecurity.com

Thank you.

Doc Scrubber is a trademark of Javacool Software LLC. Copyright © 2003 Javacool Software LLC. All Rights Reserved. Patent Pending. All other trademarks are the property of their respective owners. Javacool Software LLC is not affiliated with Microsoft Corporation.